org.springframework.scheduling.config

## Class ScheduledTasksBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.springframework.scheduling.config.ScheduledTasksBeanDefinitionParser

- All Implemented Interfaces:
    BeanDefinitionParser

      public class ScheduledTasksBeanDefinitionParser
      extends AbstractSingleBeanDefinitionParser

  Parser for the 'scheduled-tasks' element of the scheduling namespace.
  Since:
    3.0
  Author:
    Mark Fisher, Chris Beams

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledTasksBeanDefinitionParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder)` Parse the supplied `Element` and populate the supplied `BeanDefinitionBuilder` as required.
    `protected String` | `getBeanClassName(Element element)` Determine the bean class name corresponding to the supplied `Element`.
    `protected boolean` | `shouldGenerateId()` Should an ID be generated instead of read from the passed in `Element`?

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, getBeanClass, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduledTasksBeanDefinitionParser

          public ScheduledTasksBeanDefinitionParser()

  - ### Method Detail

    - #### shouldGenerateId

          protected boolean shouldGenerateId()

      Description copied from class: `AbstractBeanDefinitionParser`
      Should an ID be generated instead of read from the passed in `Element`?

      Disabled by default; subclasses can override this to enable ID generation. Note that this flag is about always generating an ID; the parser won't even check for an "id" attribute in this case.

      Overrides:
        `shouldGenerateId` in class `AbstractBeanDefinitionParser`
      Returns:
        whether the parser should always generate an id

    - #### getBeanClassName

          protected String getBeanClassName(Element element)

      Description copied from class: `AbstractSingleBeanDefinitionParser`
      Determine the bean class name corresponding to the supplied `Element`.
      Overrides:
        `getBeanClassName` in class `AbstractSingleBeanDefinitionParser`
      Parameters:
        `element` - the `Element` that is being parsed
      Returns:
        the class name of the bean that is being defined via parsing the supplied `Element`, or `null` if none
      See Also:
        `AbstractSingleBeanDefinitionParser.getBeanClass(org.w3c.dom.Element)`

    - #### doParse

          protected void doParse(Element element,
                                 ParserContext parserContext,
                                 BeanDefinitionBuilder builder)

      Description copied from class: `AbstractSingleBeanDefinitionParser`
      Parse the supplied `Element` and populate the supplied `BeanDefinitionBuilder` as required.

      The default implementation delegates to the `doParse` version without ParserContext argument.

      Overrides:
        `doParse` in class `AbstractSingleBeanDefinitionParser`
      Parameters:
        `element` - the XML element being parsed
        `parserContext` - the object encapsulating the current state of the parsing process
        `builder` - used to define the `BeanDefinition`
      See Also:
        `AbstractSingleBeanDefinitionParser.doParse(Element, BeanDefinitionBuilder)`